# group\_by

Group the events by a column. Use this method to form the grouped data for ranking models.

## Parameters

| Parameter      | Type                  | Required | Default | Description                                                                                  |
| -------------- | --------------------- | -------- | ------- | -------------------------------------------------------------------------------------------- |
| `df`           | `DataFrame`           | ✓        | `-`     | The dataframe with flat data                                                                 |
| `group_by_col` | `str`                 | ✓        | `-`     | The column to group the data by                                                              |
| `output_path`  | `Path \| str \| None` | ✗        | `None`  | Optional path to write the grouped data to. If not specified, data won't be written anywhere |

## Returns

Dataframe in grouped format

**Return type:** pd.DataFrame

## Examples

```python
COLUMN_NAME = 'col_2'

grouped_df = group_by(df=df, group_by_col=COLUMN_NAME)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiddler.ai/api/fiddler-python-client-sdk/utils/group-by.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
